import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:heap_io_flutter/heap_io_flutter.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  void initState() {
    super.initState();
    initPlatformState();
  }

  Future<void> initPlatformState() async {
    try {
      await HeapIO.initialize('1234567890');
      await HeapIO.identify('user_123');
      await HeapIO.track('test_event', {'prop1': '1', 'prop2': '2'});
    } on PlatformException {}
    if (!mounted) return;
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Heap.io example app'),
        ),
        body: const Center(
          child: Text('An event was sent!'),
        ),
      ),
    );
  }
}
