import Flutter
import UIKit
import Heap

public class SwiftHeapIoFlutterPlugin: NSObject, FlutterPlugin {
    public static func register(with registrar: FlutterPluginRegistrar) {
        let channel = FlutterMethodChannel(name: "heap_io_flutter", binaryMessenger: registrar.messenger())
        let instance = SwiftHeapIoFlutterPlugin()
        registrar.addMethodCallDelegate(instance, channel: channel)
    }
    
    public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
        let dic = call.arguments as? Dictionary<String, Any>
        
        switch call.method {
        case "initialize":
            let options = HeapOptions()
            options.disableTouchAutocapture = true
            options.disableGestureAutocapture = true
            Heap.initialize(dic!["appId"] as? String ?? "", with: options)
            result(true)
        case "identify":
            Heap.identify(dic!["identity"] as? String ?? "")
            result(true)
        case "track":
            let eventName = dic!["eventName"] as? String ?? ""
            let properties = dic!["properties"] as? Dictionary<String, Any>
            Heap.track(eventName, withProperties: properties)
            result(true)
        default:
            result(true)
        }
    }
}
