// ignore_for_file: avoid_classes_with_only_static_members
import 'dart:async';

import 'package:flutter/services.dart';

class HeapIO {
  static const MethodChannel _channel = MethodChannel('heap_io_flutter');

  /// Initialize the Heap library.
  /// The library is initialized with `disableTouchAutocapture` & `disableGestureAutocapture`
  /// set to `true`.
  static Future<void> initialize(String appId) async {
    await _channel.invokeMethod<void>('initialize', {'appId': appId});
  }

  /// Attatch a unique identifier to a user.
  static Future<void> identify(String? identity) async {
    await _channel.invokeMethod<void>('identify', {'identity': identity});
  }

  /// Track a custom event.
  static Future<void> track(
      String eventName, Map<String, String> properties) async {
    await _channel.invokeMethod<void>('track', {
      'eventName': eventName,
      'properties': properties,
    });
  }
}
